#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,q,i,br=0,t,k,x;
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(a[i]==1)
            br++;
    }
    scanf("%d",&q);
    for(i=0;i<q;i++)
    {
        scanf("%d",&t);
        scanf("%d",&k);
        if(t==0)
        {
            if(k>br)
                printf("0\n");
            else
                printf("1\n");
        }
        else
        {
            scanf("%d",&x);
            br=br-a[k-1]+x;
            a[k-1]=x;
        }
    }
    return 0;
}